public inbox for gcc-cvs@sourceware.org
help / color / mirror / Atom feed
* [gcc(refs/vendors/microsoft/heads/main)] Fix error checking when init.sh returns -1
@ 2021-10-07  1:20 Eugene Rozenfeld
  0 siblings, 0 replies; only message in thread
From: Eugene Rozenfeld @ 2021-10-07  1:20 UTC (permalink / raw)
  To: gcc-cvs

https://gcc.gnu.org/g:0b06e2be26be9f70fb6a082cf04aae47a36d3c3f

commit 0b06e2be26be9f70fb6a082cf04aae47a36d3c3f
Author: Victor Tong <vitong@microsoft.com>
Date:   Tue Oct 5 16:52:21 2021 -0700

    Fix error checking when init.sh returns -1

Diff:
---
 .github/scripts/init.sh                   | 2 +-
 .github/scripts/pushMergedVendorBranch.sh | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/.github/scripts/init.sh b/.github/scripts/init.sh
index 7a94c321be2..6d8d760ef5e 100644
--- a/.github/scripts/init.sh
+++ b/.github/scripts/init.sh
@@ -31,7 +31,7 @@ else
     # Check to make sure the gcc remote URL is the one we're expecting
     gccUrl="$(git config remote.gcc.url)"
     if [[ $gccUrl != "git://gcc.gnu.org/git/gcc.git" ]]; then
-        echo "ERROR: gcc upstream remote was found but it's not pointing to git://gcc.gnu.org/git/gcc.git"
+        echo "ERROR: gcc upstream remote was found but it's not pointing to git://gcc.gnu.org/git/gcc.git. Please delete the local gcc upstream remote before running init again"
         exit -1
     fi
 fi
\ No newline at end of file
diff --git a/.github/scripts/pushMergedVendorBranch.sh b/.github/scripts/pushMergedVendorBranch.sh
index d9850e78938..38ed145c0cd 100644
--- a/.github/scripts/pushMergedVendorBranch.sh
+++ b/.github/scripts/pushMergedVendorBranch.sh
@@ -28,6 +28,10 @@ BASEDIR=$(dirname $0)
 
 chmod +x ${BASEDIR}/init.sh
 ${BASEDIR}/init.sh
+if test $? != 0; then
+  echo "ERROR: Initialization failed"
+  exit -1
+fi
 
 echo "
 ---- READ THIS ----


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2021-10-07  1:20 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-07  1:20 [gcc(refs/vendors/microsoft/heads/main)] Fix error checking when init.sh returns -1 Eugene Rozenfeld

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).